libzypp 17.37.10

zypp::misc::testcase::TestcaseTrial::Node::Impl Struct Reference

## Public Member Functions
Impl * | clone () const

## Public Attributes
std::string | name
std::string | value
std::map< std::string, std::string > | properties
std::vector< std::shared_ptr< Node > > | children

## Detailed Description

Definition at line 39 of file LoadTestcase.cc.

## Member Function Documentation

## ◆ clone()

Impl * zypp::misc::testcase::TestcaseTrial::Node::Impl::clone | ( |  | ) | const
| inline

Definition at line 45 of file LoadTestcase.cc.

## Member Data Documentation

## ◆ name

std::string zypp::misc::testcase::TestcaseTrial::Node::Impl::name

Definition at line 41 of file LoadTestcase.cc.

## ◆ value

std::string zypp::misc::testcase::TestcaseTrial::Node::Impl::value

Definition at line 42 of file LoadTestcase.cc.

## ◆ properties

std::map<std::string, std::string> zypp::misc::testcase::TestcaseTrial::Node::Impl::properties

Definition at line 43 of file LoadTestcase.cc.

## ◆ children

std::vector<std::shared_ptr<Node> > zypp::misc::testcase::TestcaseTrial::Node::Impl::children

Definition at line 44 of file LoadTestcase.cc.

The documentation for this struct was generated from the following file:

- zypp/misc/LoadTestcase.cc